Package pygccxml :: Package msvc :: Module common_utils :: Class UNDECORATE_NAME_OPTIONS

# ClassType UNDECORATE_NAME_OPTIONS

source code

Class Variables
| UNDNAME_COMPLETE = `0`
| UNDNAME_NO_LEADING_UNDERSCORES = `1`
| UNDNAME_NO_MS_KEYWORDS = `2`
| UNDNAME_NO_FUNCTION_RETURNS = `4`
| UNDNAME_NO_ALLOCATION_MODEL = `8`
| UNDNAME_NO_ALLOCATION_LANGUAGE = `16`
| UNDNAME_RESERVED1 = `32`
| UNDNAME_RESERVED2 = `64`
| UNDNAME_NO_THISTYPE = `96`
| UNDNAME_NO_ACCESS_SPECIFIERS = `128`
| UNDNAME_NO_THROW_SIGNATURES = `256`
| UNDNAME_NO_MEMBER_TYPE = `512`
| UNDNAME_NO_RETURN_UDT_MODEL = `1024`
| UNDNAME_32_BIT_DECODE = `2048`
| UNDNAME_NAME_ONLY = `4096`
| UNDNAME_TYPE_ONLY = `8192`
| UNDNAME_HAVE_PARAMETERS = `16384`
| UNDNAME_NO_ECSU = `32768`
| UNDNAME_NO_IDENT_CHAR_CHECK = `65536`
| UNDNAME_NO_PTR64 = `131072`
| UNDNAME_SCOPES_ONLY = `99231`